<div class="alert alert-info" *ngIf="!pais; else divPais">
    Espere por favor...
</div>

<ng-template #divPais>
    <div class="row">
        <div class="col-12">
            <h1>País: <small>{{ pais.name.common }}</small></h1>
        </div>
    </div>

    <div class="row">
        <div class="col-4">
            <h3>Bandera</h3>
            <img [src]="pais.flags.png" 
            alt="" 
            class="img-thumbail"
            width="200"
            height="100">
        </div>

        <div class="col">
            <h3>Información</h3>
            <ul class="list-group">
                <li class="list-group-item">
                    <strong>Población:</strong>
                    {{pais.population | number}}
                </li>
                <li class="list-group-item">
                    <strong>Código numérico:</strong>
                    {{pais.ccn3}}
                </li>
                <li class="list-group-item">
                    <strong>Código alpha:</strong>
                    {{pais.cca3}}
                </li>
            </ul>
        </div>
    </div>

    <h3>Traducciones</h3>
    <div class="row">
        <div class="col">
            <span *ngFor="let item of translationValue" class="badge bg-primary mr-1">
                {{item.official}}</span> 

            <!-- other way -->
            <!-- 
                <span *ngFor="let item of pais.translations | keyvalue" style="margin: 5px;" class="badge bg-primary mr-1">{{item.value.official}}</span>  -->
        </div>
    </div>

    <!-- <h3>Zona horaria</h3>
    <div class="row">
        <div class="col">
            <span>{{pais.timezones}}</span>
        </div>
    </div> -->

    <!-- <li *ngFor="let item of pais.car">{{pais.car}}</li> -->
    <!-- <h3>Manejo de Carro</h3>
    <div class="row">
        <div class="col">
        </div>
    </div> -->

</ng-template>
